* {
    padding: 0;
    margin: 0;
    border: 0;
    box-sizing: border-box;
}

html {
    /* En 14 se ve bien con la resolución de mi monitor. */
    font-size: 14px;
}

body {
    font-family: sans-serif;
    display: grid;
    grid-template-areas:
        'aserv htabs htabs htabs'
        'aserv achan mchat ainfs'
        'aserv achan fingm ainfs'
        'finfu achan fingm ainfs';
    grid-template-columns: 15.2rem 13.5rem auto 16rem;
    grid-template-rows: 3rem auto 1.9rem 3.2rem;
    height: 100%;
}

.red {
    background: #f66d6d;
}

.blue {
    background: #6dcff6;
}

.green {
    background: #6df68a;
}

.blue2 {
    background: #00aeef;
}

.yellow {
    background: #d0ba00;
}

.orange {
    background: #cf6903;
}

.light-blue {
    background: #46e0e6;
}

.pink {
    background: #c9296c;
}

.aside-servs {/*grid-area: aserv*/
    grid-area: aserv;
    background: #1c1e23;
}

.title {
    text-align: center;
    font-size: 1.3em;
    font-weight: 500;
    margin-top: .7em;
    color: #ffffff;
}

.search-servs {
    height: 1.2em;
    width: 12.5em;
    margin-left: .9em;
    margin-top: .6em;
    background: #242528;
}

.container-hub {
    width: 13.5rem;
    display: flex;
    margin-top: 1.1em;
    margin-left: 0.9em;
    margin-bottom: .5em;
    font-size: .9em;
}

.hub {
    color: #434649;
    margin-right: auto;
}

.add-hub {
    color: #5a5b5b;
    background: #252627;
    /* height: 18px;
    width: 18px; */
    padding-left: 5px;
    padding-right: 5px;
    padding-bottom: 1px;
    border-radius: 100%;
}

.add-hub:hover {
    background: #37383a;
    color: #808080;
}

.server {
    display: grid;
    grid-template-areas:
        'pic nom'
        'pic txt';
    grid-template-columns: 3em auto;
    grid-template-rows: 1.2em auto;
    color: #ffffff;
    margin-bottom: .5em;
    margin-left: .3em;
}

.photo-server {/*grid-area: pic*/
    grid-area: pic;
    height: 1.6em;
    width: 1.6em;
    border-radius: 100%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0.2em;
    margin-bottom: auto;
}

.name-server {/* grid-area: nom; */
    grid-area: nom;
    font-size: 13px;
}

.desc-server {/* grid-area: txt; */
    grid-area: txt;
    color: #7e7e7e;
    font-size: 8px;
}

.head-tabs {/*grid-area: htabs*/
    grid-area: htabs;
    background: #1c1e23;

    display: grid;
    grid-template-areas: 'tabs'
                         'line-down';
    height: 100%;
    grid-template-columns: auto;
    grid-template-rows: auto .4em;
}

.container-tabs {/* grid-area: tabs; */
    grid-area: tabs;
    display: flex;
    margin-top: 1em;
    margin-left: .8em;
    font-size: .8em;
}

.tab {
    display: flex;
    background: #242528;
    width: 16em;
    color: #ffffff;
}

.title-tab {
    margin-top: auto;
    margin-bottom: auto;
    margin-left: 1em;
    margin-right: auto;
}

.close-tab {
    font-size: 13px;
    background: #292929;
    color: #fff;
    padding-left: 5px;
    padding-right: 5px;
    padding-bottom: 2.1px;
    border-radius: 20%;
    margin-top: auto;
    margin-bottom: auto;
    margin-right: .8em;
}

.close-tab:hover {
    background: #383838;
}

.unselect-tab {
    display: flex;
    background: #202124;
    width: 16em;
    color: #ffffff;
}

.head-tabs > footer {/* grid-area: line-down; */
    grid-area: line-down;
    background: #242528;
}

.aside-channel {/*grid-area: achan*/
    grid-area: achan;
    background: #242528;
}

.list-channels {
    /* margin-top: .5em; */
    font-size: .8em;
    color: #ffffff;
    --margin-left-section : 1.7em;
    --margin-right-section : .4em;
    --margin-top-section : .6em;
    --margin-bottom-section : .6em;
}

.section-channel {
    margin-left: var(--margin-left-section);
    margin-right: var(--margin-right-section);
    margin-top: var(--margin-top-section);
    margin-bottom: var(--margin-bottom-section);
}

.canales {
    color: #546173;
}

.canal-gral {
    display: flex;
    background: #4a5462;
    margin-left: calc(var(--margin-left-section) - .45em);
    border-radius: 9px;
    height: 1.6em;
    margin-top: var(--margin-top-section);
    margin-bottom: var(--margin-bottom-section);
    width: 14.5em;
}

.canal-gral > p {
    margin-left: .45em;
    margin-top: auto;
    margin-bottom: auto;
}

.content-channel {
    margin-left: 3.7em;
}

.usu-channel {
    display: grid;
    grid-template-areas:
        'picCh nomCh';
    grid-template-columns: 1.5em auto;
    grid-template-rows: 1.4em;
}

.photo-usu-channel {
    grid-area: picCh;
    height: 1em;
    width: 1em;
    border-radius: 100%;
    margin-top: auto;
    margin-bottom: .3em;
}

.nom-usu-channel {
    grid-area: nomCh;
}

.on {
    background: #6daf21;
}

.off {
    background: #a72323
}

.main-chat {/*grid-area: mchat*/
    grid-area: mchat;
    background: #28292c;
    overflow: auto;
}

.message {
    display: grid;
    grid-template-areas:
        'pic nom'
        'pic txt';
    grid-template-columns: 3.3em auto;
    grid-template-rows: 1.5em auto;
    color: #ffffff;
    margin-right: 5em;
    margin-bottom: 1.8em;
}

.photo {/*grid-area: pic*/
    grid-area: pic;
    height: 1.8em;
    width: 1.8em;
    border-radius: 100%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0.3em;
    margin-bottom: auto;
}

.name {/* grid-area: nom; */
    grid-area: nom;
}

.text {/* grid-area: txt; */
    grid-area: txt;
    font-size: 13px;
    
}

.aside-infoServ {/*grid-area: ainfs*/
    grid-area: ainfs;
    background: #242528;
}

.info-ppal-server {
    width: 100%;
    padding: 1.5em;
}

.title-infoServer {
    text-align: center;
    font-size: 1.2em;
    font-weight: 500;
    color: #ffffff;
}

.text-infoServ {
    text-align: center;
    font-size: .75em;
    color: #696969;
    margin-top: .3em;
}

.sub-title {
    text-align: center;
    font-size: 1em;
    font-weight: 500;
    margin-top: 1em;
    color: #ffffff;
}

.foot-infoUsu {/*grid-area: finfu*/
    grid-area: finfu;
    background: #28292c;
    display: flex;
}

.foot-infoUsu:hover {
    background: #34363a;
}

.user {
    display: grid;
    grid-template-areas:
        'pic nom'
        'pic txt';
    grid-template-columns: 1.9em auto;
    grid-template-rows: 1em auto;
    color: #ffffff;
    margin-top: auto;
    margin-bottom: auto;
    margin-left: .7em;
}

.photo-user {
    grid-area: pic;
    height: 1.3em;
    width: 1.3em;
    border-radius: 100%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0.2em;
    margin-bottom: auto;
}

.name-user {
    grid-area: nom;
    font-size: 12px;
}

.status-user {
    grid-area: txt;
    color: #7e7e7e;
    font-size: 7px;
}

.connected {
    color: #6daf21;
}

.foot-ingMsj {/* grid-area: fingm */
    grid-area: fingm;
    background: #28292c;
    display: flex;
}

.input-msj {
    background: #323336;
    border-radius: 9px;
    outline: none;
    height: 2.5em;
    width: 51.8rem;
    margin-left: auto;
    margin-right: auto;
    margin-top: .5em;
    padding: .8em;
}

.input-msj::placeholder {
    color: #797777;
    font-weight: 500;
}